git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Unable to execute gradle build


 Hello all,
 
When i attempt a ./gradlew build (Fineract 1.2.0)  im getting the following exceptions relating to all Swagger files:
 
Files with unapproved licenses: 
C:/Users/..../fineract/fineract-provider/src/main/resources/swagger-ui/index.html 
C:/Users/..../fineract/fineract-provider/src/main/resources/swagger-ui/oauth2-redirect.html 
C:/Users/..../fineract/fineract-provider/src/main/resources/swagger-ui/response.json 
C:/Users/..../fineract/fineract-provider/src/main/resources/swagger-ui/swagger-ui-bundle.js.map 
C:/Users/..../fineract/fineract-provider/src/main/resources/swagger-ui/swagger-ui-standalone-preset.js 
C:/Users/..../fineract/fineract-provider/src/main/resources/swagger-ui/swagger-ui-standalone-preset.js.map 
C:/Users/.../fineract/fineract-provider/src/main/resources/swagger-ui/swagger-ui.css 
C:/Users/..../fineract/fineract-provider/src/main/resources/swagger-ui/swagger-ui.css.map 
C:/Users/..../fineract/fineract-provider/src/main/resources/swagger-ui/swagger-ui.js 
C:/Users/..../fineract/fineract-provider/src/main/resources/swagger-ui/swagger-ui.js.map
 
As a check I have added the Apache license header to swagger-ui-standalone-preset-.js and swagger-ui-bundle.js but im still getting exceptions for these and all the other swagger files.
 
Any assistance on this ,greatly appreciated
 
Regards